org.apache.tomcat.util.descriptor.web

## Class JspPropertyGroupDescriptorImpl

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.JspPropertyGroupDescriptorImpl

- All Implemented Interfaces:
    JspPropertyGroupDescriptor

      public class JspPropertyGroupDescriptorImpl
      extends Object
      implements JspPropertyGroupDescriptor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspPropertyGroupDescriptorImpl(JspPropertyGroup jspPropertyGroup)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getBuffer()` Obtain the per-page buffer configuration for this group of JSP pages.
    `String` | `getDefaultContentType()` Obtain the default content type this group of JSP pages
    `String` | `getDeferredSyntaxAllowedAsLiteral()` Is the deferred El syntax `#{...}`
    `String` | `getElIgnored()` Is Expression Language ignored for this group?
    `String` | `getErrorOnUndeclaredNamespace()` Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.
    `Collection<String>` | `getIncludeCodas()` Obtain the codas to include for this group.
    `Collection<String>` | `getIncludePreludes()` Obtain the preludes to include for this group.
    `String` | `getIsXml()` Should the JSPs in this group be treated as JSP documents?
    `String` | `getPageEncoding()` Obtain the page encoding for this group.
    `String` | `getScriptingInvalid()` Is scripting disabled for this group?
    `String` | `getTrimDirectiveWhitespaces()` Should the JSPs in this group have template text that onyl contains whitespace removed?
    `Collection<String>` | `getUrlPatterns()` Obtain the patterns to which this group applies.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JspPropertyGroupDescriptorImpl

          public JspPropertyGroupDescriptorImpl(JspPropertyGroup jspPropertyGroup)

  - ### Method Detail

    - #### getBuffer

          public String getBuffer()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Obtain the per-page buffer configuration for this group of JSP pages.
      Specified by:
        `getBuffer` in interface `JspPropertyGroupDescriptor`
      Returns:
        the per-page buffer configuration for this group of JSP pages

    - #### getDefaultContentType

          public String getDefaultContentType()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Obtain the default content type this group of JSP pages.#
      Specified by:
        `getDefaultContentType` in interface `JspPropertyGroupDescriptor`
      Returns:
        the default content type this group of JSP pages

    - #### getDeferredSyntaxAllowedAsLiteral

          public String getDeferredSyntaxAllowedAsLiteral()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Is the deferred El syntax `#{...}` allowed to be used as a literal in this group?
      Specified by:
        `getDeferredSyntaxAllowedAsLiteral` in interface `JspPropertyGroupDescriptor`
      Returns:
        `true` if the deferred EL syntax is allowed to be used as a literal, otherwise `false`

    - #### getElIgnored

          public String getElIgnored()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Is Expression Language ignored for this group?
      Specified by:
        `getElIgnored` in interface `JspPropertyGroupDescriptor`
      Returns:
        `true` if EL is ignored, otherwise `false`

    - #### getErrorOnUndeclaredNamespace

          public String getErrorOnUndeclaredNamespace()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Should an error be raised at translation time for a page in this group if the page contains a reference (e.g. a tag) to a undeclared namespace.
      Specified by:
        `getErrorOnUndeclaredNamespace` in interface `JspPropertyGroupDescriptor`
      Returns:
        `true` if an error should be raised, otherwise `false`

    - #### getIncludeCodas

          public Collection<String> getIncludeCodas()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Obtain the codas to include for this group.
      Specified by:
        `getIncludeCodas` in interface `JspPropertyGroupDescriptor`
      Returns:
        the codas to include for this group.

    - #### getIncludePreludes

          public Collection<String> getIncludePreludes()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Obtain the preludes to include for this group.
      Specified by:
        `getIncludePreludes` in interface `JspPropertyGroupDescriptor`
      Returns:
        the preludes to include for this group

    - #### getIsXml

          public String getIsXml()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Should the JSPs in this group be treated as JSP documents?
      Specified by:
        `getIsXml` in interface `JspPropertyGroupDescriptor`
      Returns:
        `true` if the JSPs should be treated as JSP documents, otherwise `false`

    - #### getPageEncoding

          public String getPageEncoding()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Obtain the page encoding for this group.
      Specified by:
        `getPageEncoding` in interface `JspPropertyGroupDescriptor`
      Returns:
        the page encoding for this group

    - #### getScriptingInvalid

          public String getScriptingInvalid()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Is scripting disabled for this group?
      Specified by:
        `getScriptingInvalid` in interface `JspPropertyGroupDescriptor`
      Returns:
        `true` if scripting is disabled, otherwise `false`

    - #### getTrimDirectiveWhitespaces

          public String getTrimDirectiveWhitespaces()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Should the JSPs in this group have template text that onyl contains whitespace removed?
      Specified by:
        `getTrimDirectiveWhitespaces` in interface `JspPropertyGroupDescriptor`
      Returns:
        `true` if the whitespace be removed, otherwise `false`

    - #### getUrlPatterns

          public Collection<String> getUrlPatterns()

      Description copied from interface: `javax.servlet.descriptor.JspPropertyGroupDescriptor`
      Obtain the patterns to which this group applies.
      Specified by:
        `getUrlPatterns` in interface `JspPropertyGroupDescriptor`
      Returns:
        the patterns to which this group applies

Copyright © 2000-2022 Apache Software Foundation. All Rights Reserved.